/**
 * Diese Klasse dient zum Testen der Bibliothek.
 * 
 * @author David Wimmesberger
 *
 */
public class Test {

	public static void main(String[] args) {
		
		//neue Bibliothek erstellen
		Bibliothek bib=new Bibliothek();
		
		
		boolean erfolg;
		//Buecher hinzufuegen
		erfolg=bib.addMedium(new Buch("Analysis 1","Harro Heuser","MAT001",1998));
		System.out.println(erfolg);
		
		bib.addMedium(new Buch("Analysis 2","Harro Heuser","MAT002",1999));
		
		Buch b=new Buch("Partial Differential Equations","Lawrence C. Evans","MAT003",2000);
		b.setText("In diesem Buch geht es um PDEs. PDEs sind... blablabla");
		bib.addMedium(b);
		
		//text ausgeben
		System.out.println(b.lesen());
		
		//Ist ein Buch schon vorhanden, sollte in irgendeiner form eine Fehlermeldung ausgegeben werden
		//Da dies aber nur eine Testklasse ist, lassen wir diesen Schritt aus.
		erfolg=bib.addMedium(new Buch("Numerical Approximations of Partial Differential Equations","Alfio Quarteroni","MAT001",1982));
		System.out.println(erfolg);
		
		//CDs hinzufuegen
		bib.addMedium(new CD("Yellow Submarine","The Beatles","MUS001",1969,40));
		
		System.out.println("");
			
		//Buecher ausleihen.
		erfolg=bib.ausleihen("MAT001");
		System.out.println(erfolg);
		bib.ausleihen("MAT002");
		
		erfolg=bib.ausleihen("MAT001");
		System.out.println(erfolg);
		
		//Bibliotheksinfos ausgeben.
		System.out.println("shortInfo:");
		System.out.println(bib.shortInfo());
		
		System.out.println("");
		
		System.out.println("longInfo:");
		System.out.println(bib.longInfo());
	}

}
